Package org.apache.tapestry5.commons.util

## Class CommonsUtils

- java.lang.Object
- - org.apache.tapestry5.commons.util.CommonsUtils

-     public class CommonsUtils
      extends java.lang.Object

  Some utility methods used in different Tapestry subprojects.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String[]` | `EMPTY_STRING_ARRAY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommonsUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isBlank​(java.lang.String input)` | Returns true if the input is null, or is a zero length string (excluding leading/trailing whitespace).
    `static java.lang.String[]` | `splitAtCommas​(java.lang.String value)` | Splits a value around commas.
    `static java.lang.String[]` | `splitPath​(java.lang.String path)` | Splits a path at each slash.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_STRING_ARRAY

          public static final java.lang.String[] EMPTY_STRING_ARRAY

  - ### Constructor Detail

    - #### CommonsUtils

          public CommonsUtils()

  - ### Method Detail

    - #### splitPath

          public static java.lang.String[] splitPath​(java.lang.String path)

      Splits a path at each slash.

    - #### splitAtCommas

          public static java.lang.String[] splitAtCommas​(java.lang.String value)

      Splits a value around commas. Whitespace around the commas is removed, as is leading and trailing whitespace.
      Since:
        5.1.0.0

    - #### isBlank

          public static boolean isBlank​(java.lang.String input)

      Returns true if the input is null, or is a zero length string (excluding leading/trailing whitespace).